using System;
using Zcu.Mve.Core;
using Zcu.Mve.Numerics;
using Zcu.Mve.Visualization;
 
namespace Zcu.Mve.Testing
{
 
  public class TestFilter : Zcu.Mve.Core.Module
  {
    public TestFilter()
    {
      AddInPort("in", typeof(UnstrGrid));
      AddOutPort("out", typeof(UnstrGrid));
    }
 
    public override void Execute()
    {
      UnstrGrid x = (UnstrGrid)((UnstrGrid) GetInput("in")).DeepCopy();
      x.Points[0] = new Point3D(10.0, 0.0, 0.0);
      SetOutput("out", x);
    }
  }
}