using System;
using Zcu.Mve.Core;
using Zcu.Mve.Numerics;

namespace Zcu.Mve.Testing
{
	/// <summary>
	/// 
	/// </summary>
	public class Oscilation : Module
	{
    Scalar a;

		public Oscilation()
		{
      this.AddInPort("x", typeof(Scalar));
      this.AddInPort("v", typeof(Scalar));
      this.AddOutPort("a", typeof(Scalar));
    }
	
    public override void Execute()
    {
      double x = ((Scalar)GetInput("x")).Value;
      double v = ((Scalar)GetInput("v")).Value;

      a.Value = -0.05 * x - 0.09 * v;
      
      this.SetOutput("a", a);
    }
  }
}
